# Class PokemonTurnData

- Defined in src/field/pokemon.ts:3758

#####
Index

### Constructors

constructor

### Properties

acted
attacksReceived
currDamageDealt
damageDealt
damageTaken
flinched
hitCount
hitsLeft

## Constructors

### constructor

- new PokemonTurnData(): PokemonTurnData

- #### Returns PokemonTurnData

## Properties

### acted

acted: boolean

- Defined in src/field/pokemon.ts:3760

### attacksReceived

attacksReceived: AttackMoveResult [] = []

- Defined in src/field/pokemon.ts:3766

### currDamageDealt

currDamageDealt: number = 0

- Defined in src/field/pokemon.ts:3764

### damageDealt

damageDealt: number = 0

- Defined in src/field/pokemon.ts:3763

### damageTaken

damageTaken: number = 0

- Defined in src/field/pokemon.ts:3765

### flinched

flinched: boolean

- Defined in src/field/pokemon.ts:3759

### hitCount

hitCount: number

- Defined in src/field/pokemon.ts:3761

### hitsLeft

hitsLeft: number

- Defined in src/field/pokemon.ts:3762